Skip to main content
GET
/
contacts
/
{id}
/
attachments
/
{guid}
Get contact attachment
curl --request GET \
  --url https://api.arnio.co/api/v1/contacts/{id}/attachments/{guid} \
  --header 'X-API-Key: <api-key>'
Fetch a media attachment for a specific contact by its GUID. You can optionally specify the quality of the attachment (best, medium, low).

Parameters

NameInTypeRequiredDescription
idpathstringThe ID of the contact
guidpathstringThe GUID of the attachment to fetch
qualityquerystringAttachment quality (best by default)

Responses

  • 200: Attachment fetched successfully (binary content)
  • 400: Phone line not found for attachment request
  • 404: Contact not found
  • 500: Failed to fetch attachment

Authorizations

X-API-Key
string
header
required

Provide your API key

Path Parameters

id
string
required

ID of the contact

guid
string
required

GUID of the attachment to fetch

Query Parameters

quality
enum<string>
default:best

Attachment quality

Available options:
best,
medium,
low

Response

Attachment fetched successfully